import java.io.IOException;

public class Class11 {

   static int[] anIntArray149;
   static int anInt150 = 0;
   static int anInt151 = 0;
   static final int anInt152 = 3;
   static Class475 aClass475_153;
   static Class468 aClass468_154;
   static Class447 aClass447_155;


   static int[] method686(Class225_Sub15 var0) {
      RS2Buffer var1 = new RS2Buffer(518);
      int[] var2 = new int[4];

      int var3;
      for(var3 = 0; var3 < 4; ++var3) {
         var2[var3] = (int)(Math.random() * 9.9999999E7D);
      }

      var1.writeByte(10, -765864773);
      var1.writeInt(var2[0], -1241242779);
      var1.writeInt(var2[1], -608637457);
      var1.writeInt(var2[2], -269233403);
      var1.writeInt(var2[3], -14840684);

      for(var3 = 0; var3 < 10; ++var3) {
         var1.writeInt((int)(Math.random() * 9.9999999E7D), -169477767);
      }

      var1.writeShort((int)(Math.random() * 9.9999999E7D), -727268689);
      var1.encryptRSA(Class190.LOGIN_PUBLIC_KEY, Class190.LOGIN_MODULUS, 1733246657);
      var0.buffer.method13714(var1.buffer, 0, var1.position * -543666943, -1196566907);
      return var2;
   }

   public static void method687() {
      if(9 == 1881519639 * client.anInt7734) {
         if(!Class225_Sub21_Sub3.method15650((byte)-8) && !Class12.method719(673894151)) {
            Class332.method6157(16, 437800237);
         }
      }
   }

   public static void method688() {
      if(9 == 1881519639 * client.anInt7734) {
         if(!Class225_Sub21_Sub3.method15650((byte)-93) && !Class12.method719(1805505191)) {
            Class332.method6157(16, -682995192);
         }
      }
   }

   static void method689() {
      Class335.aClass1_4205 = Class1.aClass1_10;
      aClass475_153 = Class475.aClass475_5806;
      aClass468_154 = Class468.aClass468_5761;
      aClass447_155 = Class447.aClass447_5577;
   }

   static void method690() {
      Class335.aClass1_4205 = Class1.aClass1_10;
      aClass475_153 = Class475.aClass475_5806;
      aClass468_154 = Class468.aClass468_5761;
      aClass447_155 = Class447.aClass447_5577;
   }

   public static Class447 method691() {
      return null == aClass447_155?Class447.aClass447_5577:aClass447_155;
   }

   static int[] method692(Class225_Sub15 var0) {
      RS2Buffer var1 = new RS2Buffer(518);
      int[] var2 = new int[4];

      int var3;
      for(var3 = 0; var3 < 4; ++var3) {
         var2[var3] = (int)(Math.random() * 9.9999999E7D);
      }

      var1.writeByte(10, -765864773);
      var1.writeInt(var2[0], -10687873);
      var1.writeInt(var2[1], -813085706);
      var1.writeInt(var2[2], -1685226253);
      var1.writeInt(var2[3], -1119711159);

      for(var3 = 0; var3 < 10; ++var3) {
         var1.writeInt((int)(Math.random() * 9.9999999E7D), -1058471822);
      }

      var1.writeShort((int)(Math.random() * 9.9999999E7D), -1413949902);
      var1.encryptRSA(Class190.LOGIN_PUBLIC_KEY, Class190.LOGIN_MODULUS, 1733246657);
      var0.buffer.method13714(var1.buffer, 0, var1.position * -543666943, -511641190);
      return var2;
   }

   static boolean method693() {
      return Class335.aClass1_4205 != null;
   }

   static void method694() {
      Class335.aClass1_4205 = Class1.aClass1_10;
      aClass475_153 = Class475.aClass475_5806;
      aClass468_154 = Class468.aClass468_5761;
      aClass447_155 = Class447.aClass447_5577;
   }

   static boolean method695() {
      return Class335.aClass1_4205 != null;
   }

   public static void method696(String var0) {
      if(client.anInt7734 * 1881519639 == 12) {
         Class225_Sub15 var1 = Class543.method11415(OutgoingOpcode.aClass302_3796, client.aClass180_7703.aClass433_2184, (byte)1);
         var1.buffer.writeShort(0, -1590255258);
         int var2 = -543666943 * var1.buffer.position;
         var1.buffer.writeString(var0, (byte)115);
         var1.buffer.position += 1106568455;
         var1.buffer.method13825(anIntArray149, var2, var1.buffer.position * -543666943, -1640744403);
         var1.buffer.method13716(-543666943 * var1.buffer.position - var2, (short)32205);
         client.aClass180_7703.method3191(var1, (byte)-99);
         aClass447_155 = Class447.aClass447_5572;
      }
   }

   public static void method697(String var0, String var1, int var2, boolean var3) {
      if(12 == 1881519639 * client.anInt7734) {
         Class225_Sub15 var4 = Class543.method11415(OutgoingOpcode.aClass302_3793, client.aClass180_7703.aClass433_2184, (byte)1);
         var4.buffer.writeShort(0, -826596815);
         int var5 = var4.buffer.position * -543666943;
         var4.buffer.writeString(var0, (byte)90);
         var4.buffer.writeString(var1, (byte)110);
         var4.buffer.writeByte(var2, -765864773);
         var4.buffer.writeByte(var3?1:0, -765864773);
         var4.buffer.position += 1106568455;
         var4.buffer.method13825(anIntArray149, var5, var4.buffer.position * -543666943, 284056366);
         var4.buffer.method13716(-543666943 * var4.buffer.position - var5, (short)23554);
         client.aClass180_7703.method3191(var4, (byte)2);
         if(var2 < 13) {
            client.aBool7674 = true;
            Class109.method2188(148373405);
         }

         aClass468_154 = Class468.aClass468_5752;
      }
   }

   public static void method698(int var0) {
      if(client.anInt7734 * 1881519639 == 12) {
         Class225_Sub15 var1 = Class543.method11415(OutgoingOpcode.aClass302_3790, client.aClass180_7703.aClass433_2184, (byte)1);
         var1.buffer.writeByte(var0, -765864773);
         client.aClass180_7703.method3191(var1, (byte)30);
      }
   }

   Class11() throws Throwable {
      throw new Error();
   }

   public static Class475 method699() {
      return aClass475_153 == null?Class475.aClass475_5804:aClass475_153;
   }

   static boolean method700() {
      return Class335.aClass1_4205 != null;
   }

   public static Class447 method701() {
      return null == aClass447_155?Class447.aClass447_5577:aClass447_155;
   }

   public static Class447 method702() {
      return null == aClass447_155?Class447.aClass447_5577:aClass447_155;
   }

   static void method703(Class447 var0) {
      aClass447_155 = var0;
   }

   static void method704(Class468 var0) {
      aClass468_154 = var0;
   }

   static void method705(Class447 var0) {
      aClass447_155 = var0;
   }

   public static Class468 method706() {
      return aClass468_154 == null?Class468.aClass468_5761:aClass468_154;
   }

   static void method707() {
      if(Class335.aClass1_4205 != null) {
         try {
            short var0;
            if(0 == anInt150 * 2138326903) {
               var0 = 250;
            } else {
               var0 = 2000;
            }

            anInt151 += -1212617683;
            if(anInt151 * -268418139 > var0) {
               Class252.method4493(-1032755025);
            }

            int var2;
            if(Class335.aClass1_4205 == Class1.aClass1_10) {
               client.aClass180_7703.method3207(Class108.method2174(Class419.aClass422_5324.method7190((short)4036), 15000, 1043160559), Class419.aClass422_5324.aString5344, 1188264619);
               client.aClass180_7703.method3189((byte)52);
               Class225_Sub15 var1 = IntVar.method13614(-1159895528);
               var1.buffer.writeByte(Class297.aClass297_3659.anInt3662 * 461965147, -765864773);
               var1.buffer.writeShort(0, 1174693833);
               var2 = var1.buffer.position * -543666943;
               var1.buffer.writeShort(751, -227589176);
               var1.buffer.writeShort(1, -496668966);
               anIntArray149 = Class190.method3317(var1, (byte)-37);
               int var3 = var1.buffer.position * -543666943;
               var1.buffer.writeString(client.aString7773, (byte)59);
               var1.buffer.writeShort(client.anInt7635 * 846817303, -1421340089);
               var1.buffer.writeLong(-7334371618178317739L * client.aLong7639);
               var1.buffer.writeString(Class7.aString129, (byte)31);
               var1.buffer.writeByte(Class498.aClass470_5944.method89((byte)0), -765864773);
               var1.buffer.writeByte(client.aClass481_7742.anInt5859 * -179465313, -765864773);
               Class186.method3267(var1.buffer, 12351133);
               String var4 = client.aString7642;
               var1.buffer.writeByte(var4 == null?0:1, -765864773);
               if(var4 != null) {
                  var1.buffer.writeString(var4, (byte)72);
               }

               Class553.aClass225_Sub5_7436.method13385(var1.buffer, 1967006154);
               var1.buffer.position += 1106568455;
               var1.buffer.method13825(anIntArray149, var3, var1.buffer.position * -543666943, -933980051);
               var1.buffer.method13716(var1.buffer.position * -543666943 - var2, (short)21871);
               client.aClass180_7703.method3191(var1, (byte)-19);
               client.aClass180_7703.method3210((byte)54);
               Class335.aClass1_4205 = Class1.aClass1_11;
            }

            if(Class1.aClass1_11 == Class335.aClass1_4205) {
               if(client.aClass180_7703.method3206((byte)65) == null) {
                  Class252.method4493(-1032755025);
                  return;
               }

               if(!client.aClass180_7703.method3206((byte)-19).method3997(1, 1738743081)) {
                  return;
               }

               client.aClass180_7703.method3206((byte)70).method4003(client.aClass180_7703.aClass225_Sub23_Sub1_2180.buffer, 0, 1, -1509481413);
               aClass475_153 = (Class475)Class79.method1636(Class470.method7904(-1501376575), client.aClass180_7703.aClass225_Sub23_Sub1_2180.buffer[0] & 255, (byte)111);
               if(Class475.aClass475_5809 == aClass475_153) {
                  client.aClass180_7703.aClass433_2184 = new ISAACCipher(anIntArray149);
                  int[] var6 = new int[4];

                  for(var2 = 0; var2 < 4; ++var2) {
                     var6[var2] = anIntArray149[var2] + 50;
                  }

                  client.aClass180_7703.aClass433_2176 = new ISAACCipher(var6);
                  new ISAACCipher(var6);
                  client.aClass180_7703.aClass225_Sub23_Sub1_2180.method16052(client.aClass180_7703.aClass433_2176, 1394377767);
                  Class332.method6157(12, -977612468);
                  client.aClass180_7703.method3189((byte)51);
                  client.aClass180_7703.aClass225_Sub23_Sub1_2180.position = 0;
                  client.aClass180_7703.aClass296_2191 = null;
                  client.aClass180_7703.aClass296_2192 = null;
                  client.aClass180_7703.aClass296_2188 = null;
                  client.aClass180_7703.anInt2185 = 0;
               } else {
                  client.aClass180_7703.method3194(-1425283549);
               }

               client.aClass180_7703.opcode = null;
               Class335.aClass1_4205 = null;
            }
         } catch (IOException var5) {
            Class252.method4493(-1032755025);
         }

      }
   }

   static void method708() {
      if(Class335.aClass1_4205 != null) {
         try {
            short var0;
            if(0 == anInt150 * 2138326903) {
               var0 = 250;
            } else {
               var0 = 2000;
            }

            anInt151 += -1212617683;
            if(anInt151 * -268418139 > var0) {
               Class252.method4493(-1032755025);
            }

            int var2;
            if(Class335.aClass1_4205 == Class1.aClass1_10) {
               client.aClass180_7703.method3207(Class108.method2174(Class419.aClass422_5324.method7190((short)28302), 15000, -83738797), Class419.aClass422_5324.aString5344, 1188264619);
               client.aClass180_7703.method3189((byte)65);
               Class225_Sub15 var1 = IntVar.method13614(897949365);
               var1.buffer.writeByte(Class297.aClass297_3659.anInt3662 * 461965147, -765864773);
               var1.buffer.writeShort(0, 1433519213);
               var2 = var1.buffer.position * -543666943;
               var1.buffer.writeShort(751, 1775471792);
               var1.buffer.writeShort(1, 2012423319);
               anIntArray149 = Class190.method3317(var1, (byte)-8);
               int var3 = var1.buffer.position * -543666943;
               var1.buffer.writeString(client.aString7773, (byte)102);
               var1.buffer.writeShort(client.anInt7635 * 846817303, 95335599);
               var1.buffer.writeLong(-7334371618178317739L * client.aLong7639);
               var1.buffer.writeString(Class7.aString129, (byte)24);
               var1.buffer.writeByte(Class498.aClass470_5944.method89((byte)0), -765864773);
               var1.buffer.writeByte(client.aClass481_7742.anInt5859 * -179465313, -765864773);
               Class186.method3267(var1.buffer, -1803403650);
               String var4 = client.aString7642;
               var1.buffer.writeByte(var4 == null?0:1, -765864773);
               if(var4 != null) {
                  var1.buffer.writeString(var4, (byte)58);
               }

               Class553.aClass225_Sub5_7436.method13385(var1.buffer, 1977037907);
               var1.buffer.position += 1106568455;
               var1.buffer.method13825(anIntArray149, var3, var1.buffer.position * -543666943, -1179844541);
               var1.buffer.method13716(var1.buffer.position * -543666943 - var2, (short)2353);
               client.aClass180_7703.method3191(var1, (byte)-87);
               client.aClass180_7703.method3210((byte)44);
               Class335.aClass1_4205 = Class1.aClass1_11;
            }

            if(Class1.aClass1_11 == Class335.aClass1_4205) {
               if(client.aClass180_7703.method3206((byte)-1) == null) {
                  Class252.method4493(-1032755025);
                  return;
               }

               if(!client.aClass180_7703.method3206((byte)1).method3997(1, -1349867079)) {
                  return;
               }

               client.aClass180_7703.method3206((byte)-26).method4003(client.aClass180_7703.aClass225_Sub23_Sub1_2180.buffer, 0, 1, 1889779725);
               aClass475_153 = (Class475)Class79.method1636(Class470.method7904(-1501376575), client.aClass180_7703.aClass225_Sub23_Sub1_2180.buffer[0] & 255, (byte)8);
               if(Class475.aClass475_5809 == aClass475_153) {
                  client.aClass180_7703.aClass433_2184 = new ISAACCipher(anIntArray149);
                  int[] var6 = new int[4];

                  for(var2 = 0; var2 < 4; ++var2) {
                     var6[var2] = anIntArray149[var2] + 50;
                  }

                  client.aClass180_7703.aClass433_2176 = new ISAACCipher(var6);
                  new ISAACCipher(var6);
                  client.aClass180_7703.aClass225_Sub23_Sub1_2180.method16052(client.aClass180_7703.aClass433_2176, 1394377767);
                  Class332.method6157(12, -442935066);
                  client.aClass180_7703.method3189((byte)40);
                  client.aClass180_7703.aClass225_Sub23_Sub1_2180.position = 0;
                  client.aClass180_7703.aClass296_2191 = null;
                  client.aClass180_7703.aClass296_2192 = null;
                  client.aClass180_7703.aClass296_2188 = null;
                  client.aClass180_7703.anInt2185 = 0;
               } else {
                  client.aClass180_7703.method3194(-1064375503);
               }

               client.aClass180_7703.opcode = null;
               Class335.aClass1_4205 = null;
            }
         } catch (IOException var5) {
            Class252.method4493(-1032755025);
         }

      }
   }

   static void method709() {
      if(Class335.aClass1_4205 != null) {
         try {
            short var0;
            if(0 == anInt150 * 2138326903) {
               var0 = 250;
            } else {
               var0 = 2000;
            }

            anInt151 += -1212617683;
            if(anInt151 * -268418139 > var0) {
               Class252.method4493(-1032755025);
            }

            int var2;
            if(Class335.aClass1_4205 == Class1.aClass1_10) {
               client.aClass180_7703.method3207(Class108.method2174(Class419.aClass422_5324.method7190((short)10803), 15000, -594515237), Class419.aClass422_5324.aString5344, 1188264619);
               client.aClass180_7703.method3189((byte)83);
               Class225_Sub15 var1 = IntVar.method13614(132362127);
               var1.buffer.writeByte(Class297.aClass297_3659.anInt3662 * 461965147, -765864773);
               var1.buffer.writeShort(0, -782893886);
               var2 = var1.buffer.position * -543666943;
               var1.buffer.writeShort(751, -998346710);
               var1.buffer.writeShort(1, 42831796);
               anIntArray149 = Class190.method3317(var1, (byte)54);
               int var3 = var1.buffer.position * -543666943;
               var1.buffer.writeString(client.aString7773, (byte)104);
               var1.buffer.writeShort(client.anInt7635 * 846817303, -521473071);
               var1.buffer.writeLong(-7334371618178317739L * client.aLong7639);
               var1.buffer.writeString(Class7.aString129, (byte)29);
               var1.buffer.writeByte(Class498.aClass470_5944.method89((byte)0), -765864773);
               var1.buffer.writeByte(client.aClass481_7742.anInt5859 * -179465313, -765864773);
               Class186.method3267(var1.buffer, 479187569);
               String var4 = client.aString7642;
               var1.buffer.writeByte(var4 == null?0:1, -765864773);
               if(var4 != null) {
                  var1.buffer.writeString(var4, (byte)110);
               }

               Class553.aClass225_Sub5_7436.method13385(var1.buffer, 1970954461);
               var1.buffer.position += 1106568455;
               var1.buffer.method13825(anIntArray149, var3, var1.buffer.position * -543666943, -947269178);
               var1.buffer.method13716(var1.buffer.position * -543666943 - var2, (short)472);
               client.aClass180_7703.method3191(var1, (byte)45);
               client.aClass180_7703.method3210((byte)-97);
               Class335.aClass1_4205 = Class1.aClass1_11;
            }

            if(Class1.aClass1_11 == Class335.aClass1_4205) {
               if(client.aClass180_7703.method3206((byte)-5) == null) {
                  Class252.method4493(-1032755025);
                  return;
               }

               if(!client.aClass180_7703.method3206((byte)107).method3997(1, -1119207202)) {
                  return;
               }

               client.aClass180_7703.method3206((byte)77).method4003(client.aClass180_7703.aClass225_Sub23_Sub1_2180.buffer, 0, 1, 1323917489);
               aClass475_153 = (Class475)Class79.method1636(Class470.method7904(-1501376575), client.aClass180_7703.aClass225_Sub23_Sub1_2180.buffer[0] & 255, (byte)65);
               if(Class475.aClass475_5809 == aClass475_153) {
                  client.aClass180_7703.aClass433_2184 = new ISAACCipher(anIntArray149);
                  int[] var6 = new int[4];

                  for(var2 = 0; var2 < 4; ++var2) {
                     var6[var2] = anIntArray149[var2] + 50;
                  }

                  client.aClass180_7703.aClass433_2176 = new ISAACCipher(var6);
                  new ISAACCipher(var6);
                  client.aClass180_7703.aClass225_Sub23_Sub1_2180.method16052(client.aClass180_7703.aClass433_2176, 1394377767);
                  Class332.method6157(12, -1727485007);
                  client.aClass180_7703.method3189((byte)103);
                  client.aClass180_7703.aClass225_Sub23_Sub1_2180.position = 0;
                  client.aClass180_7703.aClass296_2191 = null;
                  client.aClass180_7703.aClass296_2192 = null;
                  client.aClass180_7703.aClass296_2188 = null;
                  client.aClass180_7703.anInt2185 = 0;
               } else {
                  client.aClass180_7703.method3194(-961755710);
               }

               client.aClass180_7703.opcode = null;
               Class335.aClass1_4205 = null;
            }
         } catch (IOException var5) {
            Class252.method4493(-1032755025);
         }

      }
   }

   static boolean method710() {
      return Class335.aClass1_4205 != null;
   }

   static int[] method711(Class225_Sub15 var0) {
      RS2Buffer var1 = new RS2Buffer(518);
      int[] var2 = new int[4];

      int var3;
      for(var3 = 0; var3 < 4; ++var3) {
         var2[var3] = (int)(Math.random() * 9.9999999E7D);
      }

      var1.writeByte(10, -765864773);
      var1.writeInt(var2[0], -2128909468);
      var1.writeInt(var2[1], -1896753947);
      var1.writeInt(var2[2], -2098013595);
      var1.writeInt(var2[3], -1509861142);

      for(var3 = 0; var3 < 10; ++var3) {
         var1.writeInt((int)(Math.random() * 9.9999999E7D), -658774892);
      }

      var1.writeShort((int)(Math.random() * 9.9999999E7D), -1276799222);
      var1.encryptRSA(Class190.LOGIN_PUBLIC_KEY, Class190.LOGIN_MODULUS, 1733246657);
      var0.buffer.method13714(var1.buffer, 0, var1.position * -543666943, -548969975);
      return var2;
   }

   public static Class475 method712() {
      return aClass475_153 == null?Class475.aClass475_5804:aClass475_153;
   }

   static void method713() {
      if(Class335.aClass1_4205 != null) {
         try {
            short var0;
            if(0 == anInt150 * 2138326903) {
               var0 = 250;
            } else {
               var0 = 2000;
            }

            anInt151 += -1212617683;
            if(anInt151 * -268418139 > var0) {
               Class252.method4493(-1032755025);
            }

            int var2;
            if(Class335.aClass1_4205 == Class1.aClass1_10) {
               client.aClass180_7703.method3207(Class108.method2174(Class419.aClass422_5324.method7190((short)6185), 15000, -1894766342), Class419.aClass422_5324.aString5344, 1188264619);
               client.aClass180_7703.method3189((byte)126);
               Class225_Sub15 var1 = IntVar.method13614(-1641820193);
               var1.buffer.writeByte(Class297.aClass297_3659.anInt3662 * 461965147, -765864773);
               var1.buffer.writeShort(0, 727468712);
               var2 = var1.buffer.position * -543666943;
               var1.buffer.writeShort(751, 245188267);
               var1.buffer.writeShort(1, -1972217002);
               anIntArray149 = Class190.method3317(var1, (byte)-62);
               int var3 = var1.buffer.position * -543666943;
               var1.buffer.writeString(client.aString7773, (byte)41);
               var1.buffer.writeShort(client.anInt7635 * 846817303, -559452504);
               var1.buffer.writeLong(-7334371618178317739L * client.aLong7639);
               var1.buffer.writeString(Class7.aString129, (byte)110);
               var1.buffer.writeByte(Class498.aClass470_5944.method89((byte)0), -765864773);
               var1.buffer.writeByte(client.aClass481_7742.anInt5859 * -179465313, -765864773);
               Class186.method3267(var1.buffer, -558393543);
               String var4 = client.aString7642;
               var1.buffer.writeByte(var4 == null?0:1, -765864773);
               if(var4 != null) {
                  var1.buffer.writeString(var4, (byte)95);
               }

               Class553.aClass225_Sub5_7436.method13385(var1.buffer, 2145043428);
               var1.buffer.position += 1106568455;
               var1.buffer.method13825(anIntArray149, var3, var1.buffer.position * -543666943, -488481919);
               var1.buffer.method13716(var1.buffer.position * -543666943 - var2, (short)17032);
               client.aClass180_7703.method3191(var1, (byte)-16);
               client.aClass180_7703.method3210((byte)-120);
               Class335.aClass1_4205 = Class1.aClass1_11;
            }

            if(Class1.aClass1_11 == Class335.aClass1_4205) {
               if(client.aClass180_7703.method3206((byte)55) == null) {
                  Class252.method4493(-1032755025);
                  return;
               }

               if(!client.aClass180_7703.method3206((byte)-3).method3997(1, 447660792)) {
                  return;
               }

               client.aClass180_7703.method3206((byte)74).method4003(client.aClass180_7703.aClass225_Sub23_Sub1_2180.buffer, 0, 1, -435113574);
               aClass475_153 = (Class475)Class79.method1636(Class470.method7904(-1501376575), client.aClass180_7703.aClass225_Sub23_Sub1_2180.buffer[0] & 255, (byte)40);
               if(Class475.aClass475_5809 == aClass475_153) {
                  client.aClass180_7703.aClass433_2184 = new ISAACCipher(anIntArray149);
                  int[] var6 = new int[4];

                  for(var2 = 0; var2 < 4; ++var2) {
                     var6[var2] = anIntArray149[var2] + 50;
                  }

                  client.aClass180_7703.aClass433_2176 = new ISAACCipher(var6);
                  new ISAACCipher(var6);
                  client.aClass180_7703.aClass225_Sub23_Sub1_2180.method16052(client.aClass180_7703.aClass433_2176, 1394377767);
                  Class332.method6157(12, -716975687);
                  client.aClass180_7703.method3189((byte)87);
                  client.aClass180_7703.aClass225_Sub23_Sub1_2180.position = 0;
                  client.aClass180_7703.aClass296_2191 = null;
                  client.aClass180_7703.aClass296_2192 = null;
                  client.aClass180_7703.aClass296_2188 = null;
                  client.aClass180_7703.anInt2185 = 0;
               } else {
                  client.aClass180_7703.method3194(-1880093777);
               }

               client.aClass180_7703.opcode = null;
               Class335.aClass1_4205 = null;
            }
         } catch (IOException var5) {
            Class252.method4493(-1032755025);
         }

      }
   }

   public static Class444[] method714(int var0) {
      if(null == Class313.aClass444Array3967) {
         Class444[] var1 = Class118.method2319(Class127.aClass466_1542, 1998163456);
         Class444[] var2 = new Class444[var1.length];
         int var3 = 0;
         int var4 = Class500.aClass225_Sub6_5953.aClass463_Sub25_8505.method13009((short)-2744);

         label68:
         for(int var5 = 0; var5 < var1.length; ++var5) {
            Class444 var6 = var1[var5];
            if((-1943256849 * var6.anInt5488 <= 0 || var6.anInt5488 * -1943256849 >= 24) && var6.anInt5489 * -179236885 >= 800 && var6.anInt5487 * 619380621 >= 600 && (var4 != 2 || var6.anInt5489 * -179236885 <= 800 && 619380621 * var6.anInt5487 <= 600) && (1 != var4 || var6.anInt5489 * -179236885 <= 1024 && 619380621 * var6.anInt5487 <= 768)) {
               for(int var7 = 0; var7 < var3; ++var7) {
                  Class444 var8 = var2[var7];
                  if(-179236885 * var6.anInt5489 == var8.anInt5489 * -179236885 && var8.anInt5487 * 619380621 == 619380621 * var6.anInt5487) {
                     if(var6.anInt5488 * -1943256849 > -1943256849 * var8.anInt5488) {
                        var2[var7] = var6;
                     }
                     continue label68;
                  }
               }

               var2[var3] = var6;
               ++var3;
            }
         }

         Class313.aClass444Array3967 = new Class444[var3];
         System.arraycopy(var2, 0, Class313.aClass444Array3967, 0, var3);
         int[] var9 = new int[Class313.aClass444Array3967.length];

         for(int var10 = 0; var10 < Class313.aClass444Array3967.length; ++var10) {
            Class444 var11 = Class313.aClass444Array3967[var10];
            var9[var10] = -179236885 * var11.anInt5489 * var11.anInt5487 * 619380621;
         }

         Class264.method4730(var9, Class313.aClass444Array3967, -2059193754);
      }

      return Class313.aClass444Array3967;
   }

   static boolean method715(int var0, byte var1) {
      return var0 != 3 && var0 != 4 && 5 != var0 && 6 != var0 && var0 != 1001 && 1002 != var0?2 == var0:true;
   }
}
